CONN_GET_CONNECTION_REMOTE_ADDR(3)

EXPERIMENTAL_FUNC
conn_get_connection_remote_addr - Get the address of the machine at the other end of a connection.

SYNOPSIS
#include <karma_conn.h>

unsigned long conn_get_connection_remote_addr

(Connection connection)

DESCRIPTION
Get the address of the machine at the other end of a connection.

connection
    The connection object. The routine aborts the process if the connection is not valid.

RETURN VALUE
The IP address.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/